$(function() {
    $('input.rowid').click(function() {
        var cb = this; var path = $(cb).attr('path'); $(cb).parents('tr').nextAll().each(function() {
            var tr = this;
            var ccb = $('input.rowid', tr);
            if (ccb.attr('path').substring(0, path.length) == path) { selectRow(ccb.val(), cb.checked, false); } else return false;
        });
    });
});
function addSelectedCategories(id) {
    if (id) { selectedIds.length = 0; selectedIds.push(id); rowChecked(id, true); }

    var result = new Array();
    result["selectedIds"] = selectedIds;
    result["selectedNames"] = selectedNames;

    if (getURLParameter('msName') != null && getURLParameter('msName') != '') {
        result["msName"] = getURLParameter('msName');
    }

    if (self.callback == null) {
        if (getURLParameter('cbmode') != null && getURLParameter('cbmode') != '') {
            eval('opener.' + getURLParameter('cbmode') + '.categoriesCallback(result)');
        } else {
            self.callback = opener.categoriesCallback;
            self.callback(result);
        }
    } else {
        self.callback(result);
    }
        
    self.close();
    return false;
}

//function rowChecked(id, check) {
//    if ($('#id' + id).length > 0) {
//        selectedNames['id' + id.toString()] = "";
//        $.each( $('#id' + id).attr("path").split('|'), 
//            function (e,el) {
//                if (el > 0) {
//                    if (selectedNames['id' + id] != "")
//                        selectedNames['id' + id] += " / ";

//                    selectedNames['id' + id.toString()] += $.trim($('#id' + el).text());
//                }
//            }
//        );

        
//    }
//}